package play

import (
	"game-driver/internal/middleware"
	"game-driver/internal/schema"
	"game-driver/leaf"
	"game-driver/pkg/utils"
	"game-driver/pkg/video"

	"go.uber.org/zap"
)

func OnlyVideo(c *leaf.Context) {
	payload := leaf.Value[*schema.PlayModal](c, middleware.PayloadJSONKey)

	// utils.BlankOpen()
	// defer utils.BlankClose()

	if url, ok := payload.Game["video"]; ok {
		path, local, err := utils.LinkVideo(url.(string))
		if err != nil {
			zap.S().Errorln("视频文件获取异常: ", err)
			return
		}
		if err := video.Play(c, path, local); err != nil {
			zap.S().Errorln("视频播放异常: ", err)
		}
	}
}
